#include "action.h"

#include <iostream>

action_terminal::action_terminal(std::string text) {
    this->text = text;
}

void action_terminal::trigger() {
    std::cout << text << std::endl;
}

action_console::action_console(struct console * console, SDL_Renderer * renderer, std::string text) {
    this->console = console;
    this->text = text;
    this->renderer = renderer;
}

void action_console::trigger() {
    this->console->set(this->renderer, this->text);
}
