#ifndef EVENT_H
#define EVENT_H

#include "criterion.h"
#include "action.h"
#include "unit.h"

#include <vector>

struct event {
    std::vector<struct criterion *> criteria;
    std::vector<struct action *> actions;
    bool repeat;
    bool done;
    event(bool repeat);
    // ~event();
    void check_and_trigger(struct unit * unit);
    void trigger();
};

#endif // EVENT_H
