#ifndef SPRITE_H
#define SPRITE_H

#include <SDL2/SDL.h>
#include <string>

struct sprite {
    SDL_Texture * texture;
    SDL_Rect rect;

    sprite(SDL_Renderer * renderer, const std::string filename);
    sprite(SDL_Renderer * renderer, SDL_Surface * surface);
    ~sprite();
    void draw(SDL_Renderer * renderer, float x, float y);
};

#endif // SPRITE_H
