#ifndef SQUARE_H
#define SQUARE_H

#include "sprite.h"
#include "unit.h"

struct square {
    unsigned int rock;
    unsigned int cristal;
    unsigned int powergem;
    float cristal_per_rock;
    bool hard;

    square();
    square(unsigned int rock);
    bool is_passable();
    void mine(struct unit * unit);
    void draw(SDL_Renderer * renderer, unsigned int x, unsigned int y);
};

#endif // SQUARE_H
