#ifndef MORPHING_H
#define MORPHING_H

#include "sprite.h"

#include <vector>

struct morphing {
    unsigned int maximum;
    std::vector<struct sprite *> sprites;
    morphing(SDL_Renderer * renderer, unsigned int maximum, std::vector<std::string> filenames);
    morphing(SDL_Renderer * renderer, unsigned int maximum, std::string filename);
    ~morphing();
    void draw(SDL_Renderer * renderer, float x, float y, unsigned int value);
};

#endif // MORPHING_H
